# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_VArrayTNodeOfFieldOfHArray1OfByte Class Reference

`#include <PDataStd_VArrayTNodeOfFieldOfHArray1OfByte.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PDataStd_VArrayTNodeOfFieldOfHArray1OfByte ()
| PDataStd_VArrayTNodeOfFieldOfHArray1OfByte (const Standard_Byte &aValue)
void | SetValue (const Standard_Byte &aValue)
Standard_Address | Value () const

## Private Attributes

Standard_Byte | myValue

## Constructor & Destructor Documentation

PDataStd_VArrayTNodeOfFieldOfHArray1OfByte::PDataStd_VArrayTNodeOfFieldOfHArray1OfByte | ( |  | ) |

PDataStd_VArrayTNodeOfFieldOfHArray1OfByte::PDataStd_VArrayTNodeOfFieldOfHArray1OfByte | ( | const Standard_Byte & | aValue | ) |

## Member Function Documentation

void PDataStd_VArrayTNodeOfFieldOfHArray1OfByte::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PDataStd_VArrayTNodeOfFieldOfHArray1OfByte::operator new | ( | size_t | size | ) | `[inline]`

void* PDataStd_VArrayTNodeOfFieldOfHArray1OfByte::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PDataStd_VArrayTNodeOfFieldOfHArray1OfByte::SetValue | ( | const Standard_Byte & | aValue | ) |

Standard_Address PDataStd_VArrayTNodeOfFieldOfHArray1OfByte::Value | ( |  | ) | const

## Field Documentation

Standard_Byte PDataStd_VArrayTNodeOfFieldOfHArray1OfByte::myValue `[private]`

The documentation for this class was generated from the following file:

- PDataStd_VArrayTNodeOfFieldOfHArray1OfByte.hxx